#pragma once

#include "CoreMinimal.h"
#include "DBDTunableRowHandle.h"
#include "K36D20ValueRange.h"
#include "Templates/SubclassOf.h"
#include "K36ShittyItem.generated.h"

class ACollectable;

USTRUCT(BlueprintType)
struct FK36ShittyItem
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle ItemCharge;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FK36D20ValueRange DiceRollValueRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle MaximumNumberOfItemsToSpawn;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<TSubclassOf<ACollectable>> ItemClasses;

public:
	THEK36_API FK36ShittyItem();
};

FORCEINLINE uint32 GetTypeHash(const FK36ShittyItem) { return 0; }
